<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("__include-common-code-file.php");
	my_session_start();
	require("../account/__logincheck.php");
	if ($_SESSION['システム管理者'] <> "YES") {
		exit;
	}
	if ($_GET['ret'].'' == '') {
		$ret_php = 'code-file-view.php';
	} else {
		$ret_php = $_GET['ret'];
	}
	if ($_GET['path'].'' == '') {
		header("Location: ".$ret_php."?path=".urlencode(up_folder_path($src_file)));
	}
	$src_file = $_GET['path'];
	$src_file_SJIS = mb_convert_encoding($src_file, 'SJIS-win', 'UTF-8');
	if (file_exists($src_file_SJIS)) {
		if (@unlink($src_file_SJIS) == False) {
			error_simple_html('ファイル削除エラー', 'ファイル削除に失敗しました。');
		}
	}
	header("Location: ".$ret_php."?path=".urlencode(up_folder_path($src_file)));
?>
